> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/docs/mba/api-ref/ui-skills/create-a-ui-skill.md).

# Create a UI skill

Create a new UI skill for the specified entity.

```json
{"openapi":"3.1.0","info":{"title":"Business Agent API","version":"1.50.8"},"tags":[{"name":"UI Skills","description":"Endpoints for managing the agent's UI skills - the rich message components it may send"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"ui_skills.BizAIOmniChannelUISkillCreateRequest":{"description":"Create a UI skill","properties":{"component_type":{"description":"The type of rich message this UI skill sends","enum":["carousel_quick_reply","carousel_url","cta_url","flow","image","interactive_list","interactive_reply_buttons","location","location_request"],"type":"string"},"flow_id":{"description":"The identifier of the flow to associate. Required when component_type is flow, and not supported otherwise","type":"integer"},"instruction":{"description":"A description telling the AI agent when to send this UI skill","type":"string"},"status":{"description":"Whether this UI skill is enabled and available to the AI agent","enum":["disabled","enabled"],"type":"string"},"title":{"description":"A human-readable name for the UI skill","type":"string"}},"required":["component_type","instruction","status","title"],"type":"object"},"ui_skills.BizAIOmniChannelUISkillResponse":{"description":"A single UI skill","properties":{"component_type":{"description":"The type of rich message this UI skill sends","enum":["carousel_quick_reply","carousel_url","cta_url","flow","image","interactive_list","interactive_reply_buttons","location","location_request"],"type":"string"},"created_at":{"description":"The timestamp when the UI skill was created","type":"integer"},"flow_id":{"description":"The identifier of the associated flow. Only present for flow skills","type":"integer"},"id":{"description":"A unique identifier for the UI skill","type":"string"},"instruction":{"description":"A description telling the AI agent when to send this UI skill","type":"string"},"status":{"description":"Whether this UI skill is enabled and available to the AI agent","enum":["disabled","enabled"],"type":"string"},"title":{"description":"A human-readable name for the UI skill","type":"string"},"updated_at":{"description":"The timestamp when the UI skill was last updated","type":"integer"}},"required":["component_type","created_at","id","instruction","status","title","updated_at"],"type":"object"},"ui_skills.StandardError":{"description":"Standard error response for Meta Business Agent endpoints","properties":{"detail":{"description":"Human-readable explanation of the error","type":"string"},"status":{"description":"HTTP status code","type":"integer"},"title":{"description":"Short, human-readable summary of the problem","type":"string"},"type":{"description":"A URI reference identifying the problem type","type":"string"}},"type":"object"}}},"paths":{"/agent-ui-skills":{"post":{"description":"Create a new UI skill for the specified entity.","operationId":"post-agent-ui-skills","parameters":[{"description":"Meta Business Agent API version","in":"header","name":"X-API-Version","schema":{"enum":["2.0.0"],"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ui_skills.BizAIOmniChannelUISkillCreateRequest","summary":"requestBody","description":"UI skill to create"}}},"description":"UI skill to create","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ui_skills.BizAIOmniChannelUISkillResponse"}}},"description":"The newly created UI skill"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ui_skills.StandardError"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ui_skills.StandardError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ui_skills.StandardError"}}},"description":"Forbidden"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ui_skills.StandardError"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ui_skills.StandardError"}}},"description":"Too many requests"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ui_skills.StandardError"}}},"description":"Server error"}},"summary":"Create a UI skill","tags":["UI Skills"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.360dialog.com/docs/mba/api-ref/ui-skills/create-a-ui-skill.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
